Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.FetchSystemMetadataResponseOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.FetchSystemMetadataResponse`, `ClientWireProtocol.FetchSystemMetadataResponse.Builder`

Enclosing class:
  ClientWireProtocol

public static interface ClientWireProtocol.FetchSystemMetadataResponseOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getIntVal()`
`sfixed32 int_val = 4;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase`
`getResultOneofCase()`
`ClientWireProtocol.ResultSet`
`getResultSetVal()`
`.xg.cmdcomp.ResultSet result_set_val = 2;`
`ClientWireProtocol.ResultSetOrBuilder`
`getResultSetValOrBuilder()`
`.xg.cmdcomp.ResultSet result_set_val = 2;`
`String`
`getStringVal()`
`string string_val = 3;`
`ByteString`
`getStringValBytes()`
`string string_val = 3;`
`boolean`
`hasIntVal()`
`sfixed32 int_val = 4;`
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasResultSetVal()`
`.xg.cmdcomp.ResultSet result_set_val = 2;`
`boolean`
`hasStringVal()`
`string string_val = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### hasResultSetVal

boolean hasResultSetVal()
`.xg.cmdcomp.ResultSet result_set_val = 2;`

Returns:
  Whether the resultSetVal field is set.

### getResultSetVal

ClientWireProtocol.ResultSet getResultSetVal()
`.xg.cmdcomp.ResultSet result_set_val = 2;`

Returns:
  The resultSetVal.

### getResultSetValOrBuilder

ClientWireProtocol.ResultSetOrBuilder getResultSetValOrBuilder()
`.xg.cmdcomp.ResultSet result_set_val = 2;`

### hasStringVal

boolean hasStringVal()
`string string_val = 3;`

Returns:
  Whether the stringVal field is set.

### getStringVal

String getStringVal()
`string string_val = 3;`

Returns:
  The stringVal.

### getStringValBytes

ByteString getStringValBytes()
`string string_val = 3;`

Returns:
  The bytes for stringVal.

### hasIntVal

boolean hasIntVal()
`sfixed32 int_val = 4;`

Returns:
  Whether the intVal field is set.

### getIntVal

int getIntVal()
`sfixed32 int_val = 4;`

Returns:
  The intVal.

### getResultOneofCase

ClientWireProtocol.FetchSystemMetadataResponse.ResultOneofCase getResultOneofCase()